Bug 1285300 - Review Request: eclipse-xtext - Xtext is a framework for development of programming languages
Review Request: eclipse-xtext - Xtext is a framework for development of progr...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 06:28 EST by Sopot Cela
Modified: 2015-11-27 06:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 06:59:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sopot Cela 2015-11-25 06:28:37 EST
Spec URL: https://sopotc.fedorapeople.org/eclipse-xtext/eclipse-xtext.spec
SRPM URL: https://sopotc.fedorapeople.org/eclipse-xtext/eclipse-xtext-2.9.0-0.1.src.rpm
Description: Xtext is a framework for development of programming languages and DSLs
Fedora Account System Username: sopotc
Comment 1 Mat Booth 2015-11-25 16:58:08 EST
Issues that must be fixed:

- Looks like some source files are Apache licensed, so the License tag should be:
License: EPL and ASL 2.0

- Dist tag ( %{?dist} ) is not present and since the snapshot is of the rc1 release, the Release tag should be:
Release: 0.1.rc1%{?dist}


Full review follows:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright*
     EPL-1.0", "BSD (3 clause)", "EPL-1.0", "*No copyright* Apache (v2.0)".
     16250 files have unknown license. Detailed output of licensecheck in
     /home/mbooth/reviews/1285300-eclipse-xtext/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/eclipse/droplets
[x]: Package must own all directories that it creates.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Benign dangling-symlink warnings only -- the package requires all necessary deps to satisfy them. 

Requires
--------
eclipse-xtext (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.code.findbugs:jsr305)
    mvn(com.google.guava:guava)
    mvn(com.google.inject:guice)
    mvn(com.ibm.icu:icu4j)
    mvn(commons-logging:commons-logging)
    mvn(junit:junit)
    mvn(log4j:log4j)
    mvn(org.eclipse.emf:org.eclipse.emf.codegen)
    mvn(org.eclipse.emf:org.eclipse.emf.codegen.ecore)
    mvn(org.eclipse.emf:org.eclipse.emf.common)
    mvn(org.eclipse.emf:org.eclipse.emf.ecore)
    mvn(org.eclipse.emf:org.eclipse.emf.ecore.xmi)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe.core)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe.utils)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe2.lib)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe2.runtime)
    mvn(org.eclipse.tycho:org.eclipse.jdt.core)
    mvn(org.ow2.asm:asm-commons)
    osgi(com.google.guava)
    osgi(com.google.inject)
    osgi(de.itemis.xtext.antlr)
    osgi(org.antlr.runtime)
    osgi(org.apache.commons.lang)
    osgi(org.apache.log4j)
    osgi(org.apache.logging.log4j.1.2-api)
    osgi(org.eclipse.emf.codegen)
    osgi(org.eclipse.emf.codegen.ecore)
    osgi(org.eclipse.emf.ecore.editor)
    osgi(org.eclipse.emf.edit)
    osgi(org.eclipse.emf.edit.ui)
    osgi(org.eclipse.emf.mwe.core)
    osgi(org.eclipse.emf.mwe.utils)
    osgi(org.eclipse.emf.mwe2.lib)
    osgi(org.eclipse.jdt.core)
    osgi(org.eclipse.jdt.core.manipulation)
    osgi(org.eclipse.jdt.debug)
    osgi(org.eclipse.jdt.debug.ui)
    osgi(org.eclipse.jdt.launching)
    osgi(org.eclipse.jdt.ui)
    osgi(org.eclipse.xpand)
    osgi(org.eclipse.xtend)
    osgi(org.eclipse.xtend.typesystem.emf)
    osgi(org.junit)
    osgi(org.objectweb.asm)



Provides
--------
eclipse-xtext:
    eclipse-xtext
    mvn(org.eclipse.xtend:org.eclipse.xtend.lib)
    mvn(org.eclipse.xtend:org.eclipse.xtend.lib.macro)
    mvn(org.eclipse.xtext:org.eclipse.xtext)
    mvn(org.eclipse.xtext:org.eclipse.xtext.builder)
    mvn(org.eclipse.xtext:org.eclipse.xtext.builder.standalone)
    mvn(org.eclipse.xtext:org.eclipse.xtext.common.types)
    mvn(org.eclipse.xtext:org.eclipse.xtext.common.types.edit)
    mvn(org.eclipse.xtext:org.eclipse.xtext.common.types.ui)
    mvn(org.eclipse.xtext:org.eclipse.xtext.ecore)
    mvn(org.eclipse.xtext:org.eclipse.xtext.generator)
    mvn(org.eclipse.xtext:org.eclipse.xtext.ide)
    mvn(org.eclipse.xtext:org.eclipse.xtext.java)
    mvn(org.eclipse.xtext:org.eclipse.xtext.junit4)
    mvn(org.eclipse.xtext:org.eclipse.xtext.parent:pom:)
    mvn(org.eclipse.xtext:org.eclipse.xtext.smap)
    mvn(org.eclipse.xtext:org.eclipse.xtext.tycho.parent:pom:)
    mvn(org.eclipse.xtext:org.eclipse.xtext.ui)
    mvn(org.eclipse.xtext:org.eclipse.xtext.ui.shared)
    mvn(org.eclipse.xtext:org.eclipse.xtext.util)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xbase)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xbase.ide)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xbase.lib)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xbase.lib.gwt)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xbase.lib.gwt:pom:)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xbase.lib.slim)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xbase.lib.slim:pom:)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xtext.generator)
    mvn(org.eclipse.xtext:org.eclipse.xtext.xtext.wizard)
    osgi(org.eclipse.xtend.lib)
    osgi(org.eclipse.xtend.lib.macro)
    osgi(org.eclipse.xtext)
    osgi(org.eclipse.xtext.builder)
    osgi(org.eclipse.xtext.builder.standalone)
    osgi(org.eclipse.xtext.common.types)
    osgi(org.eclipse.xtext.common.types.edit)
    osgi(org.eclipse.xtext.common.types.ui)
    osgi(org.eclipse.xtext.ecore)
    osgi(org.eclipse.xtext.generator)
    osgi(org.eclipse.xtext.ide)
    osgi(org.eclipse.xtext.java)
    osgi(org.eclipse.xtext.junit4)
    osgi(org.eclipse.xtext.smap)
    osgi(org.eclipse.xtext.ui)
    osgi(org.eclipse.xtext.ui.shared)
    osgi(org.eclipse.xtext.util)
    osgi(org.eclipse.xtext.xbase)
    osgi(org.eclipse.xtext.xbase.ide)
    osgi(org.eclipse.xtext.xbase.lib)
    osgi(org.eclipse.xtext.xtext.generator)
    osgi(org.eclipse.xtext.xtext.wizard)



Source checksums
----------------
https://github.com/eclipse/xtext/archive/v2.9.0.rc1.zip :
  CHECKSUM(SHA256) this package     : 1a049b97000fba80919f3e1088368917e844f6af6cdf5144115ee41f06575e81
  CHECKSUM(SHA256) upstream package : 1a049b97000fba80919f3e1088368917e844f6af6cdf5144115ee41f06575e81


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1285300
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Sopot Cela 2015-11-26 05:12:42 EST
Thanks for the comments. Updated and uploaded: 

Spec URL: https://sopotc.fedorapeople.org/eclipse-xtext/eclipse-xtext.spec
SRPM URL: https://sopotc.fedorapeople.org/eclipse-xtext/eclipse-xtext-2.9.0-0.1.rc1.fc23.src.rpm
Comment 3 Mat Booth 2015-11-26 05:19:53 EST
Thanks, I am happy to approve the package.
Comment 4 Till Maas 2015-11-26 16:36:10 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/eclipse-xtext
Comment 5 Sopot Cela 2015-11-27 06:59:39 EST
Package built for both f23 and f24. Closing.

Note You need to log in before you can comment on or make changes to this bug.